OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TextureStorageMultisample

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBTextureStorageMultisample :: MonadIO m => m Bool
- gl_ARB_texture_storage_multisample :: Bool
- glTexStorage2DMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTexStorage3DMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()

# Extension Support

glGetARBTextureStorageMultisample :: MonadIO m => m Bool Source #

Is the ARB_texture_storage_multisample extension supported?

gl_ARB_texture_storage_multisample :: Bool Source #

Is the ARB_texture_storage_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureStorageMultisample` in those cases instead.

# Functions

glTexStorage2DMultisample Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual page for OpenGL 4.x.

glTexStorage3DMultisample Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual page for OpenGL 4.x.